package main

import (
  "fmt"
  "math/rand"
  "palyn/check"
  "palyn/gen"
  "os"
  "strconv"
  "time"
)

func main() {
  rand.Seed(time.Now().UnixNano())
  n, _ := strconv.Atoi(os.Args[1])
  fmt.Printf("I'm going to generate a palyndrome string of length %d\n", n)
  it := gen.IterGenPalyn(n)
  rec := gen.RecGenPalyn(n)
  fmt.Printf("Iteratively --- result: %s\n", it)
  fmt.Printf("Recursively --- result: %s\n", rec)
  fmt.Println("Now I will check that the two strings are palyndrome")
  fmt.Printf("%s is palyndrome (iterative)? %v\n", it, check.IterIsPalyn(it))
  fmt.Printf("%s is palyndrome (iterative)? %v\n", rec, check.IterIsPalyn(rec))
  fmt.Printf("%s is palyndrome (recursive)? %v\n", it, check.RecIsPalyn(it))
  fmt.Printf("%s is palyndrome (recursive)? %v\n", rec, check.RecIsPalyn(rec))
}
